
package SHARK2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class subs implements IRemote{
	public static subs mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public subs() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
     private static PCBA pcBA = new PCBA(null, subs.class);
    static {
		mostCurrent = new subs();
        remoteMe = RemoteObject.declareNull("SHARK2.keymon.com.mx.subs");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("subs"), "SHARK2.keymon.com.mx.subs");
        RDebug.INSTANCE.eventTargets.put(new DeviceClass("SHARK2.keymon.com.mx.subs"), new java.lang.ref.WeakReference<PCBA> (pcBA));
	}
   
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
	public PCBA create(Object[] args) throws ClassNotFoundException{
        throw new RuntimeException("CREATE is not supported.");
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _gzip = RemoteObject.declareNull("de.donmanfred.GZipStringswrapper");
public static RemoteObject _su = RemoteObject.declareNull("anywheresoftware.b4a.objects.StringUtils");
public static RemoteObject _phn = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone");
public static RemoteObject _devmodel = RemoteObject.createImmutable("");
public static RemoteObject _kmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _errorlog = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _ssid = RemoteObject.createImmutable("");
public static RemoteObject _rutamaxpoints = RemoteObject.createImmutable(0);
public static RemoteObject _rutahrsatras = RemoteObject.createImmutable(0);
public static RemoteObject _subslogs = RemoteObject.createImmutable(false);
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(SHARK2.keymon.com.mx.appupdater.class),"B4XCollections",Debug.moduleToString(SHARK2.keymon.com.mx.b4xcollections.class),"B4XPages",Debug.moduleToString(SHARK2.keymon.com.mx.b4xpages.class),"DateUtils",subs.mostCurrent._dateutils,"devModel",subs._devmodel,"errorLog",subs._errorlog,"GZip",subs._gzip,"HttpUtils2Service",Debug.moduleToString(SHARK2.keymon.com.mx.httputils2service.class),"kmt",subs._kmt,"Main",Debug.moduleToString(SHARK2.keymon.com.mx.main.class),"MAPA_CLIENTE",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_cliente.class),"MAPA_RUTAS",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_rutas.class),"newinst2",Debug.moduleToString(SHARK2.keymon.com.mx.newinst2.class),"NotificationService",Debug.moduleToString(SHARK2.keymon.com.mx.notificationservice.class),"Pendientes",Debug.moduleToString(SHARK2.keymon.com.mx.pendientes.class),"phn",subs._phn,"rutaHrsAtras",subs._rutahrsatras,"rutaMaxPoints",subs._rutamaxpoints,"ssid",subs._ssid,"Starter",Debug.moduleToString(SHARK2.keymon.com.mx.starter.class),"su",subs._su,"subsLogs",subs._subslogs,"Tracker",Debug.moduleToString(SHARK2.keymon.com.mx.tracker.class),"XUIViewsUtils",Debug.moduleToString(SHARK2.keymon.com.mx.xuiviewsutils.class)};
}
}